Hewlett-Packard Intelligent Management Center TAM tamServletDownload Servlet Information Disclosure Vulnerability

ID ZDI-13-059
Type zdi
Reporter Andrea Micalizzi aka rgod
Modified 2013-11-09T00:00:00


This vulnerability allows remote attackers to obtain sensitive information on vulnerable installations of Hewlett-Packard Intelligent Management Center. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the tamServletDownload servlet. This servlet contains a directory traversal vulnerability that allows any file readable by SYSTEM to be disclosed. By abusing this behavior an attacker can disclose administrative credentials and possibly leverage this situation to achieve remote code execution.